%global pypi_name typing-extensions
%global module_name typing_extensions
%global commitId b518f6a64400fd5a25e5b72668370b9792ef9ae6

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       4.7.1
Release:       1%{?dist}
Summary:       Backported and Experimental Type Hints for Python 3.7+

License:       PSF-2.0
URL:           https://github.com/python/typing_extensions
Source0:       python-typing-extensions-b518f6a64400fd5a25e5b72668370b9792ef9ae6.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-flit-core >= 3.4
BuildRequires: python%{python3_pkgversion}-flit-core < 4
BuildRequires: python%{python3_pkgversion}-pip
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-wheel

%description
%{summary}

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:       %{summary}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheeldir --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheeldir %{module_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/{RECORD,REQUESTED}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGELOG.md README.md
%license LICENSE
%{python3_sitelib}/__pycache__/%{module_name}.*
%{python3_sitelib}/%{module_name}.py
%{python3_sitelib}/%{module_name}-%{version}.dist-info

%changelog
* Mon Jul 24 2023 Satoe Imaishi <simaishi@redhat.com> - 4.7.1-1
- Update to 4.7.1

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 3.10.0.2-2
- Build against python 3.9

* Tue Nov 09 2021 Odilon Sousa <osousa@redhat.com> - 3.10.0.2-1
- Release python-typing-extensions 3.10.0.2

* Fri Sep 10 2021 Evgeni Golov - 3.7.4.3-3
- Don't require typing, our Python is new enough

* Wed Sep 08 2021 Evgeni Golov - 3.7.4.3-2
- Build against Python 3.8

* Tue Sep 01 2020 Evgeni Golov 3.7.4.3-1
- Update to 3.7.4.3

* Tue Apr 14 2020 Evgeni Golov 3.7.4.2-1
- Update to 3.7.4.2

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 3.7.4.1-2
- Bump release to build for el8

* Mon Nov 18 2019 Evgeni Golov - 3.7.4.1-1
- Initial package.
